Public Class Form1
    Inherits System.Windows.Forms.Form

#Region " Windows フォーム デザイナで生成されたコード "

    Public Sub New()
        MyBase.New()

        ' この呼び出しは Windows フォーム デザイナで必要です。
        InitializeComponent()

        ' InitializeComponent() 呼び出しの後に初期化を追加します。

    End Sub

    ' Form は dispose をオーバーライドしてコンポーネント一覧を消去します。
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    ' Windows フォーム デザイナで必要です。
    Private components As System.ComponentModel.IContainer

    ' メモ : 以下のプロシージャは、Windows フォーム デザイナで必要です。
    ' Windows フォーム デザイナを使って変更してください。  
    ' コード エディタは使用しないでください。
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        '
        'Form1
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 12)
        Me.ClientSize = New System.Drawing.Size(152, 150)
        Me.Name = "Form1"
        Me.Text = "Form1"

    End Sub

#End Region

    Protected Overrides Sub OnPaint(ByVal e As System.Windows.Forms.PaintEventArgs)

        'Graphicsオブジェクトの取得
        Dim g As Graphics
        g = e.Graphics

        '背景となるイメージの描画
        Dim myImage As New Bitmap(Application.StartupPath + "\bg.bmp")
        g.DrawImage(myImage, 10, 10)

        '合成モードの設定（コピーモード）
        g.CompositingMode = Drawing.Drawing2D.CompositingMode.SourceCopy

        'イメージの描画
        Dim myImage2 As New Bitmap(Application.StartupPath + "\test.png")
        g.DrawImage(myImage2, 50, 18)

        '合成モードの設定（混合モード）
        g.CompositingMode = Drawing.Drawing2D.CompositingMode.SourceOver

        'イメージの描画
        Dim myImage3 As New Bitmap(Application.StartupPath + "\test.png")
        g.DrawImage(myImage3, 50, 82)

    End Sub
End Class
